Attribute VB_Name = "Module1"
Public Declare Function InitializeComm Lib "RioCom" (ByVal ComPort As Long, ByVal BaudRate As Long) As Long
Public Declare Function InitializeCommWithoutError Lib "RioCom" (ByVal ComPort As Long, ByVal BaudRate As Long) As Long
Public Declare Sub TerminateComm Lib "RioCom" (ByVal ComPort As Long)

Public Declare Sub BackSendMessage Lib "RioCom" (ByVal DestinationId As String, ByVal data As String, ByVal size As Long)
Public Declare Sub BackGetEvent Lib "RioCom" (ByVal FunctionAddress As Long)

Public Declare Function Reset_Message Lib "RioCom" (ByVal DestinationId As String) As Long
Public Declare Function Send_Message Lib "RioCom" (ByVal DestinationId As String, ByVal data As String, ByVal size As Long) As Long
Public Declare Function Get_Message Lib "RioCom" (ByRef BlockPtr As Long, ByVal MaxSize As Long, ByVal TimeoutMiliS As Long, ByVal ID As String) As Long
Public Declare Function GetStringFromPtr Lib "RioCom" (ByVal st As String, ByVal Pt As Long, ByVal size As Long) As Long
Public Declare Function TCPIP_Start Lib "RioCom" (ByVal ip As String) As Long
Public Declare Function TCPIP_AcceptTerminalId Lib "RioCom" (ByVal TerminalId As String) As Long
Public Declare Function T_InitScreen Lib "RioCom" (ByVal TerminalId As String, ByVal ScreenName As String, ByVal ScreenFlags As Long, ByVal ScreenCursor As Long, ByVal ScreenValidate As Long) As Long
Public Declare Function T_CheckIfReceiveData Lib "RioCom" (ByVal TerminalId As String, ByVal ScreenName As String, ByRef DataType As Byte, ByRef RawDataSize As Long, ByVal RawData As String) As Long
Public Declare Function T_RefreshScreen Lib "RioCom" (ByVal TerminalId As String, ByVal ScreenName As String) As Long
Public Declare Function T_SendScreen Lib "RioCom" () As Long

Public Declare Function T_PrintLarge Lib "RioCom" (ByVal txt As String) As Long
Public Declare Function T_Cls Lib "RioCom" () As Long

Public Declare Function T_GetText Lib "RioCom" (ByVal txt As String, ByVal size As Long, ByVal flags As Long) As Long
Public Declare Function T_GetTextTemplate Lib "RioCom" (ByVal txt As String, ByVal template As String, ByVal flags As Long) As Long
Public Declare Function T_GetTagSys Lib "RioCom" (ByVal txt As String, ByVal size As Long, ByVal flags As Long) As Long

Public Declare Function T_PutTextOnList Lib "RioCom" (ByVal txt As String, ByVal Value As Long, ByVal FastKey As Byte) As Long
Public Declare Function T_GetTextFromList Lib "RioCom" (ByRef number As Long, ByVal size As Long, ByVal ScreenName As String) As Long
Public Declare Function T_GetLink Lib "RioCom" (ByVal ScreenName As String, ByVal Value As Long, ByVal FastKey As Byte) As Long
Public Declare Function T_GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_SetLink Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_GetOption Lib "RioCom" (ByRef position As Long, ByVal List As String, ByVal LenList As Long, ByVal Max As Long) As Long
Public Declare Function T_GetOptionGotoScreen Lib "RioCom" (ByRef position As Long, ByVal List As String, ByVal LenList As Long, ByVal Max As Long, ByVal ScreenList As String) As Long

Public Declare Function T_OnEscapeGotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_OnF1GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_OnF2GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_OnF3GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_OnF4GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_OnF5GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_OnF6GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_OnF7GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_OnF8GotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_SetFunctionKeys Lib "RioCom" (ByVal Keys As String) As Long
Public Declare Function T_SetLargeFunctionKeys Lib "RioCom" (ByVal Keys As String, ByVal bytes_Key As Byte) As Long

Public Declare Function T_GetCheckEnter Lib "RioCom" () As Long
Public Declare Function T_SendLastReadToPc Lib "RioCom" () As Long
Public Declare Function T_SetGetTextFromListFlags Lib "RioCom" (ByVal flags As Long) As Long

Public Declare Function T_Say Lib "RioCom" (ByVal txt As String) As Long
Public Declare Function T_SayWithFastKey Lib "RioCom" (ByVal txt As String, ByVal FastKey As Byte) As Long
Public Declare Function T_Scroll Lib "RioCom" (ByVal txt1 As String, ByVal txt2 As String) As Long
Public Declare Function T_NoSay Lib "RioCom" (ByVal size As Byte) As Long
Public Declare Function T_Read Lib "RioCom" () As Long
Public Declare Function T_StartRead Lib "RioCom" () As Long
Public Declare Function T_NewLine Lib "RioCom" () As Long
Public Declare Function T_Beep Lib "RioCom" (ByVal duration As Long, ByVal periodo As Long) As Long
Public Declare Function T_WaitChar Lib "RioCom" () As Byte
Public Declare Function T_Delay Lib "RioCom" (ByVal miliseconds As Long) As Long
Public Declare Function T_ChangeUpsideDown Lib "RioCom" (ByVal flag As Byte) As Long
Public Declare Function T_PrintInverse Lib "RioCom" (ByVal txt As String) As Long
Public Declare Function T_SendScreenToPc Lib "RioCom" (ByVal ScreenName As String, ByVal scr_flag As Long) As Long

Public Declare Function T_CreateOrEditScreenIndexOnLastCursorPosition Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_CreateOrEditScreenIndexOnLastNumericalValue Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_SendChangedScreensToPc Lib "RioCom" (ByVal scr_flag As Long) As Long
Public Declare Function T_MarkScreenAsChanged Lib "RioCom" () As Long
Public Declare Function T_ReadCurrentScreenIndex Lib "RioCom" () As Long

Public Declare Function T_SetSeconds Lib "RioCom" (ByVal seconds As Long) As Long
Public Declare Function T_AdjustSeconds Lib "RioCom" (ByVal seconds As Long) As Long
Public Declare Function T_ReadSeconds Lib "RioCom" () As Long
Public Declare Function T_ReadBatteryVoltage Lib "RioCom" () As Long

Public Declare Function T_PrintString Lib "RioCom" (ByVal txt As String) As Long
Public Declare Function T_PrintCom Lib "RioCom" (ByVal txt As String, ByVal size As Long) As Long
Public Declare Function T_PrintSprite Lib "RioCom" (ByVal filename As String, ByVal x As Byte, ByVal y As Byte) As Long

Public Declare Function T_SetLcdLightPower Lib "RioCom" (ByVal state As Byte) As Long
Public Declare Function T_StartRepeat Lib "RioCom" (ByRef times As Long) As Long
Public Declare Function T_EndRepeat Lib "RioCom" () As Long
Public Declare Function T_GetRepeat Lib "RioCom" (ByVal times As Byte) As Long
Public Declare Function T_GetRepeatNow Lib "RioCom" (ByVal times As Byte) As Long
Public Declare Function T_GetNumerical Lib "RioCom" (ByRef number As Long, ByVal size As Long, ByVal flags As Long) As Long

Public Declare Function T_ReserveVariable Lib "RioCom" (ByVal VariableName As String) As Long
Public Declare Function T_WriteVariable Lib "RioCom" (ByVal VariableName As String, ByVal Valor As Long) As Long
Public Declare Function T_ReadVariable Lib "RioCom" (ByVal VariableName As String) As Long
Public Declare Function T_AddVariable Lib "RioCom" (ByVal VariableNameDest As String, ByVal VariableNameSrc1 As String, ByVal VariableNameSrc2 As String) As Long
Public Declare Function T_GetVariable Lib "RioCom" (ByVal VariableName As String, ByVal size As Long, ByVal flags As Long) As Long

Public Declare Function T_ReserveStrVariable Lib "RioCom" (ByVal VariableName As String) As Long
Public Declare Function T_WriteStrVariable Lib "RioCom" (ByVal VariableName As String, ByVal str As String, ByVal size As Long) As Long
Public Declare Function T_ReadStrVariable Lib "RioCom" (ByVal VariableName As String, ByVal str As String, ByVal size As Long) As Long
'Public Declare Function T_AddStrVariable Lib "RioCom" (ByVal VariableNameDest As String, ByVal VariableNameSrc1 As String, ByVal VariableNameSrc2 As String) As Long
Public Declare Function T_GetStrVariable Lib "RioCom" (ByVal VariableName As String, ByVal size As Long, ByVal flags As Long) As Long

Public Declare Function T_IfVar1EqVar2Goto Lib "RioCom" (ByVal VariableName1 As String, ByVal VariableName2 As String, ByVal ScreenName As String) As Long
Public Declare Function T_IfVar1NotEqVar2Goto Lib "RioCom" (ByVal VariableName1 As String, ByVal VariableName2 As String, ByVal ScreenName As String) As Long
Public Declare Function T_IfVar1LessVar2Goto Lib "RioCom" (ByVal VariableName1 As String, ByVal VariableName2 As String, ByVal ScreenName As String) As Long
Public Declare Function T_IfVar1GreaterVar2Goto Lib "RioCom" (ByVal VariableName1 As String, ByVal VariableName2 As String, ByVal ScreenName As String) As Long

Public Declare Function T_MulVariable Lib "RioCom" (ByVal VariableNameDest As String, ByVal VariableNameSrc1 As String, ByVal VariableNameSrc2 As String) As Long
Public Declare Function T_DivVariable Lib "RioCom" (ByVal VariableNameDest As String, ByVal VariableNameSrc1 As String, ByVal VariableNameSrc2 As String) As Long

Public Declare Function T_CreateListIndex Lib "RioCom" (ByVal ListName As String, ByVal size As Long) As Long
Public Declare Function T_ActivateListIndex Lib "RioCom" (ByVal ListName As String) As Long
Public Declare Function T_DesactivateListIndex Lib "RioCom" () As Long
Public Declare Function T_DestroyListIndex Lib "RioCom" (ByVal ListName As String) As Long

Public Declare Function T_SendScreenToNull Lib "RioCom" (ByVal ScreenName As String, ByVal scr_flag As Long) As Long

Public Declare Function T_ResetComunications Lib "RioCom" () As Long
Public Declare Function T_HardReset Lib "RioCom" () As Long
Public Declare Function T_SaveScreens Lib "RioCom" (ByVal filename As String) As Long
Public Declare Function T_LoadScreens Lib "RioCom" (ByVal filename As String) As Long
Public Declare Function T_LoadComunicationStatus Lib "RioCom" (ByVal filename As String) As Long
Public Declare Function T_SaveComunicationStatus Lib "RioCom" (ByVal filename As String) As Long


Public Declare Function T_EmptyScreenBuffers Lib "RioCom" () As Long
Public Declare Function T_SetDisplay Lib "RioCom" (ByVal DisplayNumber As Byte) As Long
Public Declare Function T_ShowDisplay Lib "RioCom" () As Long
Public Declare Function T_RunCCode Lib "RioCom" (ByVal path As String, ByVal filename As String) As Long
Public Declare Function T_ChangeScreenFormat Lib "RioCom" (ByVal ScreenFormat As Long) As Long
Public Declare Function T_GetExitNow Lib "RioCom" () As Long
Public Declare Function T_GetNull Lib "RioCom" () As Long
Public Declare Function T_GetTextFromList2 Lib "RioCom" (ByRef number As Long, ByVal size As Long, ByVal ScreenName As String, ByVal ListName As String, ByVal flags As Long) As Long

Public Declare Function T_ShowDate Lib "RioCom" () As Long
Public Declare Function T_ShowTime Lib "RioCom" () As Long
Public Declare Function T_ShowWeekDay Lib "RioCom" () As Long
Public Declare Function ForceResetOnTerminal Lib "RioCom" (ByVal TerminalId As String) As Long
Public Declare Function ForceResetOnAllTerminal Lib "RioCom" () As Long
Public Declare Function T_WaitAnyScreenFromPc Lib "RioCom" () As Long
Public Declare Function T_OnRadioGotoScreen Lib "RioCom" (ByVal ScreenName As String) As Long
Public Declare Function T_ReadExitWithRadio Lib "RioCom" () As Long
Public Declare Function T_OnTimerGotoScreen Lib "RioCom" (ByVal timer As Long, ByVal ScreenName As String) As Long

Public Declare Function RIOCOM_AutoAdjustSeconds Lib "RioCom" () As Long


Public Declare Function T_ScanTagSys Lib "RioCom" () As Long
Public Declare Function T_ReadTagSys_c210 Lib "RioCom" (ByRef alen As Long, ByVal data As String) As Long
Public Declare Function T_ReadTagSys_c220 Lib "RioCom" (ByRef alen As Long, ByVal data As String) As Long
Public Declare Function T_WriteTagSys_c220 Lib "RioCom" (ByVal data1 As String, ByVal data2 As String, ByVal ChipConfig As String) As Long
'Public Declare Function T_WriteTagSys_c240 Lib "RioCom" (ByVal memory1 As String, ByVal memory2 As String) As Long
'Public Declare Function T_ReadTagSys_c240 Lib "RioCom" (ByVal memory1 As String, ByVal memory2 As String) As Long
Public Declare Function T_ReadTagIt Lib "RioCom" (ByVal position As Byte, ByRef number As Long) As Long
Public Declare Function T_WriteTagIt Lib "RioCom" (ByVal position As Byte, ByRef number As Long) As Long

Public Declare Function T_StartRfidBackgroundReceive Lib "RioCom" () As Long
Public Declare Function T_StopRfidBackgroundReceive Lib "RioCom" () As Long
Public Declare Function T_StartLaserBackgroundReceive Lib "RioCom" () As Long
Public Declare Function T_StopLaserBackgroundReceive Lib "RioCom" () As Long
Public Declare Function T_ReadBackgroundRfid Lib "RioCom" (ByVal data As String, ByVal size As Long, ByVal tipo As Long, ByVal flags As Long) As Long
Public Declare Function T_ReadBackgroundLaser Lib "RioCom" (ByVal data As String, ByVal size As Long, ByVal tipo As Long, ByVal flags As Long) As Long


Public Declare Function T_ReadHardware Lib "RioCom" () As Long
Public Declare Function T_ClearComPort Lib "RioCom" () As Long
Public Declare Function T_ReadComPort Lib "RioCom" (ByVal data As String, ByVal size As Long, ByVal TimeoutMiliSeconds As Long) As Long
Public Declare Function T_WriteComPort Lib "RioCom" (ByVal data As String, ByVal size As Long) As Long
Public Declare Function T_SetBaudRate Lib "RioCom" (ByVal BaudRate As Long) As Long


Public Const GetText_flag_Protected = -1
Public Const GetText_flag_AutoExit = -2                         ' After last char
Public Const GetText_flag_Password = -4
Public Const GetText_flag_Number = -8
Public Const GetText_flag_ExitEnter = -16
Public Const GetText_flag_ExitAlways = -32
Public Const GetText_flag_Barcode = -64
Public Const GetText_flag_NotUnderline = -128
Public Const GetText_flag_Link = -256
Public Const GetText_flag_NewText = -512
Public Const GetText_flag_NumberRightAligned = -1024
Public Const GetText_flag_DontShowZero = -2048
Public Const GetText_flag_ForceFunctionKeys = -4096
Public Const GetText_flag_NoFunctionKeys = -8192
Public Const GetText_flag_AutoexitfieldON = -16384              ' On last char
Public Const GetText_flag_OnlyExitIfTemplateOK = -32768
Public Const GetText_flag_ScreenIndex = -65536

Public Const GetText_flag_BarcodeWithoutText = -2097152
Public Const GetText_flagRfid = -1048576


Public Const scr_flag_execute = 1
Public Const scr_flag_changed = 2
Public Const scr_flag_update_pc_if_possible = 4
Public Const scr_flag_update_pc_now = 8
Public Const scr_flag_update_pc_later = 16
Public Const scr_flag_auto_destroy = 32
Public Const scr_flag_ask_pc_answer = 64
Public Const scr_flag_restore_fields_after_send = 256
Public Const scr_flag_dont_stop = 512
Public Const scr_flag_keep_cursor_positon = 1024
Public Const scr_flag_read_return_last_key = 2048

Public Const data_type_send_screen_zipped = 1
Public Const data_type_ask_screen = 2
Public Const data_type_reset = 3
Public Const data_type_send_screen_unzipped = 4
Public Const data_type_send_raw_data = 7


